%define pkg_name        Data-Dump
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 1.n0i.8

Summary:       Pretty printing of data structures
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides a single function called dump() that takes a list of
values as its argument and produces a string as its result. The string
contains Perl code that, when "eval"ed, produces a deep copy of the original
arguments. The string is formatted for easy reading.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.08-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.08

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.06-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.5
- version 1.06

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.4
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.3
- automatic rebuild

* Fri Apr 16 2004 Marius FERARU <altblue@n0i.net> 0:1.03-1.n0i.2
- version 1.03

* Wed Apr 07 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.1
- version 1.02
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
